Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 228755 - app-pda/barry fails with gcc-4.3.1
Summary: app-pda/barry fails with gcc-4.3.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo PDA Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-06-21 15:20 UTC by Jean-Francis Roy
Modified: 2008-07-27 11:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for includes (barry-fc9-includes.patch,3.43 KB, text/plain)
2008-06-21 15:39 UTC, Jean-Francis Roy
Details
gcc-4.3 patch (barry-0.12-gcc43.patch,3.96 KB, patch)
2008-06-24 20:15 UTC, Jean-Francis Roy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Francis Roy 2008-06-21 15:20:19 UTC
app-pda/barry 0.11 and newer 0.12 (not yet in portage) fails with gcc-4.3.1.

Type of errors :

error: 'memcpy' was not declared in this scope

<cstring> and <cstdlib> includes are missing from the source files.

Reproducible: Always

Steps to Reproduce:
1. Switch to >=gcc-4.3
2. Try to compile barry
3. epic fail

Actual Results:  
a fail

Expected Results:  
a win
Comment 1 Jean-Francis Roy 2008-06-21 15:39:15 UTC
Created attachment 157943 [details]
patch for includes

I found a patch from Fedora for the includes, but barry still fails with the following :

btool.cc:219: error: expected constructor, destructor, or type conversion before '<' token


# paludis -I                                                                                                      
paludis 0.26.2                                                                                                             
Paludis build information:                                                                                                 
    Compiler:                                                                                                              
        CXX:                   x86_64-pc-linux-gnu-g++ 4.3.1                                                               
        CXXFLAGS:              -march=core2 -O2 -pipe                                                                      
        LDFLAGS:                                                                                                           
        DATE:                  2008-06-11T12:38:31-0400                                                                    

    Libraries:
        C++ Library:           GNU libstdc++ 20080606

    Reduced Privs:
        reduced_uid:           101
        reduced_uid->name:     paludisbuild
        reduced_uid->dir:      /var/tmp/paludis
        reduced_gid:           1000            
        reduced_gid->name:     paludisbuild    

    Paths:
        DATADIR:               /usr/share
        LIBDIR:                /usr/lib64
        LIBEXECDIR:            /usr/libexec
        SYSCONFDIR:            /etc        
        PYTHONINSTALLDIR:      /usr/lib64/python2.5/site-packages
        RUBYINSTALLDIR:                                          

Repository virtuals:
    format:                    virtuals

Repository installed-virtuals:
    format:                    installed_virtuals
    root:                      /                 

Repository gentoo:
    format:                    ebuild
    location:                  /usr/portage
    append_repository_name_to_write_cache: true
    binary_destination:        false           
    binary_keywords:                           
    binary_uri_prefix:                         
    builddir:                  /var/tmp/paludis
    cache:                     /usr/portage/metadata/cache
    distdir:                   /usr/portage/distfiles     
    eapi_when_unknown:         0                          
    eapi_when_unspecified:     0                          
    eclassdirs:                /usr/portage/eclass        
    ignore_deprecated_profiles: false                     
    layout:                    traditional                
    names_cache:               /var/cache/paludis/names   
    newsdir:                   /usr/portage/metadata/news 
    profile_eapi:              0                          
    profiles:                  /usr/portage/profiles/default/linux/amd64/2008.0/desktop
    securitydir:               /usr/portage/metadata/glsa                              
    setsdir:                   /usr/portage/sets                                       
    sync:                      rsync://rsync.europe.gentoo.org/gentoo-portage          
    sync_options:                                                                      
    use_manifest:              use                                                     
    write_cache:               /var/empty                                              

    Package information:
        app-admin/eselect-compiler: (none)
        app-shells/bash:       3.2_p39    
        dev-java/java-config:  1.3.7 2.1.6
        dev-lang/python:       2.4.4-r13 2.5.2-r4
        dev-python/pycrypto:   2.0.1-r6          
        dev-util/ccache:       (none)            
        dev-util/confcache:    (none)            
        sys-apps/baselayout:   2.0.0             
        sys-apps/openrc:       0.2.5             
        sys-apps/sandbox:      1.2.18.1-r2       
        sys-devel/autoconf:    2.13 2.62         
        sys-devel/automake:    1.10.1-r1 1.5 1.7.9-r1 1.8.5-r3 1.9.6-r2
        sys-devel/binutils:    2.18-r1                                 
        sys-devel/gcc-config:  1.4.0-r4                                
        sys-devel/libtool:     2.2.4                                   
        virtual/os-headers:    2.6.25-r4 (for sys-kernel/linux-headers::installed)

Repository installed:
    format:                    vdb
    location:                  /var/db/pkg
    builddir:                  /var/tmp/paludis
    names_cache:               /var/cache/paludis/names
    provides_cache:            /var/cache/paludis/provides
    root:                      /
Comment 2 Jean-Francis Roy 2008-06-24 20:15:45 UTC
Created attachment 158309 [details, diff]
gcc-4.3 patch

Here is my personal patch, the Fedora Core 9 one is including <string.h>, but GCC 4.3 doc says to include <cstring>.

I added only what was needed (fc9 patch adds some useless includes), and fixed the missing one (<memory> in btool.cc).

Compiling and working.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-07-27 11:36:34 UTC
+  27 Jul 2008; Peter Alfredsen <loki_val@gentoo.org>
+  +files/barry-0.11-gcc43.patch, barry-0.11.ebuild:
+  Fix for gcc-4.3, bug #228755.
+